> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ainvest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stock dividends

> Get dividends for a specified stock

<Danger>ETFs are not supported yet</Danger>


## OpenAPI

````yaml reference/securities/securities.yaml GET /securities/stock/financials/dividends
openapi: 3.1.0
info:
  title: Securities master reference
  description: >-
    Query general information about US stocks, including company name, sector,
    industry, market cap, financials, key trading statistics
  version: 1.0.0
servers:
  - url: https://openapi.ainvest.com/open
    description: Production environment
security:
  - bearerAuth: []
tags:
  - name: Securities
    description: Provides reference information about US stocks
    externalDocs:
      url: https://docs.ainvest.com/reference/securities
paths:
  /securities/stock/financials/dividends:
    get:
      tags:
        - Securities
      summary: Get dividends for a specified stock
      description: Get dividends for a specified stock
      operationId: getStockDividends
      parameters:
        - name: ticker
          in: query
          required: true
          description: US stock market ticker symbol, e.g. AAPL, TSLA, etc.
          schema:
            type: string
      responses:
        '200':
          description: Successful response in standard envelope.
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-04/schema#
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        declaration_date:
                          type: string
                          description: >-
                            Declaration date, format YYYY-MM-DD. It represents
                            the date when the dividend was first announced.
                        ex_date:
                          type: string
                          description: >-
                            Ex-dividend date, format YYYY-MM-DD. It represents
                            the cutoff point for determining who is eligible to
                            receive a company's dividend payment. For example,
                            if a stock's ex-dividend date is set for March 1,
                            shareholders who purchase the stock on or after that
                            date will not receive the dividend payment.
                        pay_date:
                          type: string
                          description: >-
                            The date when the dividend is actually distributed
                            to shareholders, format YYYY-MM-DD
                        amount:
                          type: number
                          description: >-
                            The amount in US dollars that is paid per share as a
                            dividend
                  status_code:
                    type: number
                    description: Status code, `0` for success
                  status_msg:
                    type: string
                    description: Status message, `success` for success
        '400':
          description: Validation error, i.e. no stocks found or parameter is not specified
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status_code: 4012
                status_msg: Invalid param
components:
  schemas:
    Error:
      type: object
      properties:
        status_code:
          type: integer
          description: Business status code
        status_msg:
          type: string
          description: Error message
      required:
        - status_code
        - status_msg
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your key. [Get the key
        here](https://www.ainvest.com/business/developer-manage/)

````